%define pkgname XML-Parser-Lite-Tree
%define name	perl-%{pkgname}
%define	version	0.03
%define	release	%mkrel 2

Name:		%{name}
Summary:	Lightweight XML tree builder
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/I/IA/IAMCAL/%{pkgname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{pkgname}/
BuildRequires:	perl-devel perl-SOAP-Lite
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl

%description
This is a singleton class for parsing XML into a tree structure. How does this
differ from other XML tree generators? By using XML::Parser::Lite, which is a
pure perl XML parser. Using this module you can tree-ify simple XML without
having to compile any C.

Each node contains a "type" key, one of "root", "tag" and "data". "root" is the 
document root, and only contains an array ref "children". "tag" represents a
normal tag, and contains an array ref "children", a hash ref "attributes" and a
string "name". "data" nodes contain only a "content" string.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/XML/Parser/Lite/Tree.pm
%{_mandir}/*/*

%changelog
* Sat Sep 10 2005 Pascal Terjan <pterjan@mandriva.org> 0.03-2mdk
- BuildRequires perl-SOAP-Lite (for make test)
- mkrel

* Sat Aug 20 2005 Pascal Terjan <pterjan@mandriva.org> 0.03-1mdk
- First version of the package
